Loading...
Searching...
No Matches
detail::ring_handler Struct Reference

`#include <attr.hpp>`

Inheritance diagram for detail::ring_handler:
[legend]

## Static Public Member Functions

template<typename TDummy >
static void | set_value (AreaBuilder &, const TDummy &) noexcept
template<typename TIterator >
static void | set_value (AreaBuilder &parent, const attr::detail::outer_ring_from_iterator_pair< TIterator > &nodes)
template<typename TIterator >
static void | set_value (AreaBuilder &parent, const attr::detail::inner_ring_from_iterator_pair< TIterator > &nodes)

## Member Function Documentation

## set_value() [1/3]

template<typename TDummy >

static void detail::ring_handler::set_value | ( | AreaBuilder & | ,
|  | const TDummy & |
| ) |  |

inline static noexcept

## set_value() [2/3]

template<typename TIterator >

static void detail::ring_handler::set_value | ( | AreaBuilder & | parent,
|  | const attr::detail::inner_ring_from_iterator_pair< TIterator > & | nodes
| ) |  |

inline static

## set_value() [3/3]

template<typename TIterator >

static void detail::ring_handler::set_value | ( | AreaBuilder & | parent,
|  | const attr::detail::outer_ring_from_iterator_pair< TIterator > & | nodes
| ) |  |

inline static

The documentation for this struct was generated from the following file:

- include/osmium/builder/attr.hpp